nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Protected Member Functions | List of all members
nx::vms_server_plugins::cloud_storage::stub::DeviceAgent Class Reference
Inheritance diagram for nx::vms_server_plugins::cloud_storage::stub::DeviceAgent:

## Public Member Functions
| DeviceAgent (const nx::sdk::cloud_storage::DeviceDescription &deviceDescription, std::shared_ptr< DataManager > metadataManager)
Public Member Functions inherited from nx::sdk::RefCountable< nx::sdk::cloud_storage::IDeviceAgent >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::cloud_storage::IDeviceAgent
virtual Result< const IDeviceInfo * > | deviceInfo () const
Result< IStreamWriter * > | createStreamWriter (nxcip::MediaStreamQuality quality, int64_t startTimeMs, const IList< ICodecInfo > *codecInfoList, const char *opaqueMetadata)
Result< IStreamReader * > | createStreamReader (const char *bucketUrl, nxcip::MediaStreamQuality quality, int64_t startTimeMs, int64_t durationMs)
Public Member Functions inherited from nx::sdk::Interface< IDeviceAgent >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Protected Member Functions
virtual void | getDeviceInfo (nx::sdk::Result< const nx::sdk::IDeviceInfo *> *outResult) const override
virtual void | doCreateStreamWriter (nxcip::MediaStreamQuality quality, int64_t startTimeMs, const nx::sdk::IList< nx::sdk::cloud_storage::ICodecInfo > *codecList, const char *opaqueMetadata, nx::sdk::Result< nx::sdk::cloud_storage::IStreamWriter *> *outResult) override
virtual void | doCreateStreamReader (const char *bucketUrl, nxcip::MediaStreamQuality quality, int64_t startTimeMs, int64_t durationMs, nx::sdk::Result< nx::sdk::cloud_storage::IStreamReader *> *outResult) override
Protected Member Functions inherited from nx::sdk::Interface< IDeviceAgent >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::cloud_storage::IDeviceAgent
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ getDeviceInfo()

void nx::vms_server_plugins::cloud_storage::stub::DeviceAgent::getDeviceInfo | ( | nx::sdk::Result< const nx::sdk::IDeviceInfo *> * | outResult | ) | const
| overrideprotectedvirtual

Provides device description

Implements nx::sdk::cloud_storage::IDeviceAgent.

The documentation for this class was generated from the following files:

- samples/cloud_storage/stub_cloud_storage_plugin/src/nx/vms_server_plugins/cloud_storage/stub/device_agent.h
- samples/cloud_storage/stub_cloud_storage_plugin/src/nx/vms_server_plugins/cloud_storage/stub/device_agent.cpp